#include "handmade.h"

struct Win32OffscreenBuffer {
    BITMAPINFO info;
    void *memory;
    int width;
    int height;
    int bytesPerPixel;
};

struct Win32WindowDimensions {
    int width;
    int height;
};

struct Win32SoundOutput {
    int samplesPerSecond;
    int16 toneVolume;
    uint32 runningSampleIndex;
    int bytesPerSample;
    int secondaryBufferSize;
    real32 tSine;
    int latencySampleCount;
};

struct Win32DebugTimeMarker {
    DWORD playCursor;
    DWORD writeCursor;
};
